import { HttpClient } from "@angular/common/http";
import { ApiVisa, BaseApiTemplateService, BasicApiResponseModel } from "../../../shared";
import { Observable } from "rxjs";
export declare class CreateJobsFromShipmentService extends BaseApiTemplateService<any> {
    constructor(http: HttpClient);
    createJobsFromShipment(shipmentToJobLine: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    createJobsFromShipmentWithOpt(dto: any, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
}
